# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Text/Autoformat.pm) perl(Text/Thesaurus/Aiksaurus.pm)
# END SourceDeps(oneline)
%define module_version 0.0.0
%define module_name Text-Filter-Froggy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.0
Release: alt1
Summary: the frog goes rabbit rabbit rabbit
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Text::Filter::Froggy;.
    my $froggy = Text::Filter::Froggy->new();

    #read standard in and process it
    my @lines=<STDIN>;
    print $froggy->process(join('', @lines));

This takes a chunk of text and filters it. It will remove all
new lines, camas, semicolons, colons, single quotes, and double
quotes. Once it does it will search through the words and choose
some random words and replace them using a random selection from
Aiksaurus.

In regards to the Aiksaurus part, it ignores 'the', 'them', 'who',
'was', 'when', 'that', 'this', 'we', 'want', and 'what'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%files scripts
%_bindir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.0-alt1
- initial import by package builder

